Package com.omnisci.thrift.server

## Class TRenderStepResult

- java.lang.Object
- - com.omnisci.thrift.server.TRenderStepResult

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TRenderStepResult>`, `org.apache.thrift.TBase<TRenderStepResult,​TRenderStepResult._Fields>`, `org.apache.thrift.TSerializable`

    public class TRenderStepResult
    extends Object
    implements org.apache.thrift.TBase<TRenderStepResult,​TRenderStepResult._Fields>, Serializable, Cloneable, Comparable<TRenderStepResult>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TRenderStepResult._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`long` `execution_time_ms`
`Map<String,​Map<String,​Map<String,​Map<String,​List<TRenderDatum>>>>>` `merge_data`
`static Map<TRenderStepResult._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`TRawPixelData` `raw_pixel_data`
`long` `render_time_ms`
`long` `total_time_ms`

### Constructor Summary

Constructors
`TRenderStepResult()`
`TRenderStepResult​(TRenderStepResult other)` Performs a deep copy on other.
`TRenderStepResult​(Map<String,​Map<String,​Map<String,​Map<String,​List<TRenderDatum>>>>> merge_data, TRawPixelData raw_pixel_data, long execution_time_ms, long render_time_ms, long total_time_ms)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`int` `compareTo​(TRenderStepResult other)`
`TRenderStepResult` `deepCopy()`
`boolean` `equals​(TRenderStepResult that)`
`boolean` `equals​(Object that)`
`TRenderStepResult._Fields` `fieldForId​(int fieldId)`
`long` `getExecution_time_ms()`
`Object` `getFieldValue​(TRenderStepResult._Fields field)`
`Map<String,​Map<String,​Map<String,​Map<String,​List<TRenderDatum>>>>>` `getMerge_data()`
`int` `getMerge_dataSize()`
`TRawPixelData` `getRaw_pixel_data()`
`long` `getRender_time_ms()`
`long` `getTotal_time_ms()`
`int` `hashCode()`
`boolean` `isSet​(TRenderStepResult._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetExecution_time_ms()` Returns true if field execution_time_ms is set (has been assigned a value) and false otherwise
`boolean` `isSetMerge_data()` Returns true if field merge_data is set (has been assigned a value) and false otherwise
`boolean` `isSetRaw_pixel_data()` Returns true if field raw_pixel_data is set (has been assigned a value) and false otherwise
`boolean` `isSetRender_time_ms()` Returns true if field render_time_ms is set (has been assigned a value) and false otherwise
`boolean` `isSetTotal_time_ms()` Returns true if field total_time_ms is set (has been assigned a value) and false otherwise
`void` `putToMerge_data​(String key, Map<String,​Map<String,​Map<String,​List<TRenderDatum>>>> val)`
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`TRenderStepResult` `setExecution_time_ms​(long execution_time_ms)`
`void` `setExecution_time_msIsSet​(boolean value)`
`void` `setFieldValue​(TRenderStepResult._Fields field, Object value)`
`TRenderStepResult` `setMerge_data​(Map<String,​Map<String,​Map<String,​Map<String,​List<TRenderDatum>>>>> merge_data)`
`void` `setMerge_dataIsSet​(boolean value)`
`TRenderStepResult` `setRaw_pixel_data​(TRawPixelData raw_pixel_data)`
`void` `setRaw_pixel_dataIsSet​(boolean value)`
`TRenderStepResult` `setRender_time_ms​(long render_time_ms)`
`void` `setRender_time_msIsSet​(boolean value)`
`TRenderStepResult` `setTotal_time_ms​(long total_time_ms)`
`void` `setTotal_time_msIsSet​(boolean value)`
`String` `toString()`
`void` `unsetExecution_time_ms()`
`void` `unsetMerge_data()`
`void` `unsetRaw_pixel_data()`
`void` `unsetRender_time_ms()`
`void` `unsetTotal_time_ms()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### merge_data

    public Map<String,​Map<String,​Map<String,​Map<String,​List<TRenderDatum>>>>> merge_data

#### raw_pixel_data

    public TRawPixelData raw_pixel_data

#### execution_time_ms

    public long execution_time_ms

#### render_time_ms

    public long render_time_ms

#### total_time_ms

    public long total_time_ms

#### metaDataMap

    public static final Map<TRenderStepResult._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TRenderStepResult

    public TRenderStepResult()

#### TRenderStepResult

    public TRenderStepResult​(Map<String,​Map<String,​Map<String,​Map<String,​List<TRenderDatum>>>>> merge_data,
                             TRawPixelData raw_pixel_data,
                             long execution_time_ms,
                             long render_time_ms,
                             long total_time_ms)

#### TRenderStepResult

    public TRenderStepResult​(TRenderStepResult other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TRenderStepResult deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TRenderStepResult,​TRenderStepResult._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TRenderStepResult,​TRenderStepResult._Fields>`

#### getMerge_dataSize

    public int getMerge_dataSize()

#### putToMerge_data

    public void putToMerge_data​(String key,
                                Map<String,​Map<String,​Map<String,​List<TRenderDatum>>>> val)

#### getMerge_data

    public Map<String,​Map<String,​Map<String,​Map<String,​List<TRenderDatum>>>>> getMerge_data()

#### setMerge_data

    public TRenderStepResult setMerge_data​(Map<String,​Map<String,​Map<String,​Map<String,​List<TRenderDatum>>>>> merge_data)

#### unsetMerge_data

    public void unsetMerge_data()

#### isSetMerge_data

    public boolean isSetMerge_data()

Returns true if field merge_data is set (has been assigned a value) and false otherwise

#### setMerge_dataIsSet

    public void setMerge_dataIsSet​(boolean value)

#### getRaw_pixel_data

    public TRawPixelData getRaw_pixel_data()

#### setRaw_pixel_data

    public TRenderStepResult setRaw_pixel_data​(TRawPixelData raw_pixel_data)

#### unsetRaw_pixel_data

    public void unsetRaw_pixel_data()

#### isSetRaw_pixel_data

    public boolean isSetRaw_pixel_data()

Returns true if field raw_pixel_data is set (has been assigned a value) and false otherwise

#### setRaw_pixel_dataIsSet

    public void setRaw_pixel_dataIsSet​(boolean value)

#### getExecution_time_ms

    public long getExecution_time_ms()

#### setExecution_time_ms

    public TRenderStepResult setExecution_time_ms​(long execution_time_ms)

#### unsetExecution_time_ms

    public void unsetExecution_time_ms()

#### isSetExecution_time_ms

    public boolean isSetExecution_time_ms()

Returns true if field execution_time_ms is set (has been assigned a value) and false otherwise

#### setExecution_time_msIsSet

    public void setExecution_time_msIsSet​(boolean value)

#### getRender_time_ms

    public long getRender_time_ms()

#### setRender_time_ms

    public TRenderStepResult setRender_time_ms​(long render_time_ms)

#### unsetRender_time_ms

    public void unsetRender_time_ms()

#### isSetRender_time_ms

    public boolean isSetRender_time_ms()

Returns true if field render_time_ms is set (has been assigned a value) and false otherwise

#### setRender_time_msIsSet

    public void setRender_time_msIsSet​(boolean value)

#### getTotal_time_ms

    public long getTotal_time_ms()

#### setTotal_time_ms

    public TRenderStepResult setTotal_time_ms​(long total_time_ms)

#### unsetTotal_time_ms

    public void unsetTotal_time_ms()

#### isSetTotal_time_ms

    public boolean isSetTotal_time_ms()

Returns true if field total_time_ms is set (has been assigned a value) and false otherwise

#### setTotal_time_msIsSet

    public void setTotal_time_msIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TRenderStepResult._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TRenderStepResult,​TRenderStepResult._Fields>`

#### getFieldValue

    public Object getFieldValue​(TRenderStepResult._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TRenderStepResult,​TRenderStepResult._Fields>`

#### isSet

    public boolean isSet​(TRenderStepResult._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TRenderStepResult,​TRenderStepResult._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TRenderStepResult that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TRenderStepResult other)

Specified by:
  `compareTo` in interface `Comparable<TRenderStepResult>`

#### fieldForId

    public TRenderStepResult._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TRenderStepResult,​TRenderStepResult._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`